package com.huashe.park.common.consts.enums;

/**
 * The enum Fence type.
 */
public enum FenceType {
    /**
     * Out side fence in fence type.
     */
    OUT_SIDE_FENCE_IN("1", "室外围栏闯禁"),

    /**
     * Inside fence in fence type.
     */
    INSIDE_FENCE_IN("2", "室外围栏闯禁"),

    /**
     * Video fence in fence type.
     */
    VIDEO_FENCE_IN("3", "摄像机跟随");

    private final String code;

    private final String info;

    FenceType(String code, String info) {
        this.code = code;
        this.info = info;
    }

    /**
     * Gets code.
     *
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * Gets info.
     *
     * @return the info
     */
    public String getInfo() {
        return info;
    }
}
